Class Index | File Index

## Classes

- _global_
- Boolean
- Date
- exports.searchUtils
- Object
- orion.breadcrumbs.BreadCrumbs
- orion.cm.Configuration
- orion.cm.ConfigurationAdmin
- orion.cm.ConfigurationProperties
- orion.cm.ManagedService
- orion.commands.Command
- orion.commands.CommandKeyBinding
- orion.commands.CommandParameter
- orion.commands.CommandService
- orion.commands.ParametersDescription
- orion.commands.URLBinding
- orion.compare.DiffProvider
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compareUtils
- orion.contentAssist.CssContentAssistProvider
- orion.contentAssist.HTMLContentAssistProvider
- orion.core.ContentType
- orion.core.ContentTypeService
- orion.Deferred
- orion.dialogs.DialogService
- orion.DiffTreeNavigator.DiffTreeNavigator
- orion.DiffTreeNavigator.inlineDiffBlockFeeder
- orion.DiffTreeNavigator.TwoWayDiffBlockFeeder
- orion.edit.Dispatcher
- orion.editor.ActionDescription
- orion.editor.Annotation
- orion.editor.AnnotationIterator
- orion.editor.AnnotationModel
- orion.editor.AnnotationRuler
- orion.editor.AnnotationStyler
- orion.editor.AnnotationType
- orion.editor.AnnotationTypeList
- orion.editor.AsyncStyler
- orion.editor.BlurEvent
- orion.editor.ContentAssist
- orion.editor.ContentAssistMode
- orion.editor.ContentAssistProvider
- orion.editor.ContentAssistProvider.Context
- orion.editor.ContentAssistWidget
- orion.editor.ContextMenuEvent
- orion.editor.DestroyEvent
- orion.editor.EditOptions
- orion.editor.Editor
- orion.editor.EventTarget
- orion.editor.FindIterator
- orion.editor.FindOptions
- orion.editor.FocusEvent
- orion.editor.FoldingAnnotation
- orion.editor.JSTemplateContentAssistProvider
- orion.editor.KeyBinding
- orion.editor.LineNumberRuler
- orion.editor.LineStyleEvent
- orion.editor.ModelChangedEvent
- orion.editor.ModelChangingEvent
- orion.editor.ModifyEvent
- orion.editor.OverviewRuler
- orion.editor.Projection
- orion.editor.ProjectionTextModel
- orion.editor.regex
- orion.editor.Ruler
- orion.editor.ScrollEvent
- orion.editor.Selection
- orion.editor.SelectionEvent
- orion.editor.Style
- orion.editor.StyleRange
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextMateStyler
- orion.editor.TextModel
- orion.editor.TextView
- orion.editor.TextViewOptions
- orion.editor.UndoStack
- orion.editor.VerifyEvent
- orion.EventTarget
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.SelectionRenderer
- orion.ExplorerNavHandler.ExplorerNavDict
- orion.explorers.explorer-table.FileExplorer
- orion.explorers.ExplorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.favorites.FavoritesService
- orion.fileClient.FileClient
- orion.fileCommands
- orion.fileUtils
- orion.form
- orion.git.GitCommitExplorer
- orion.git.GitLogExplorer
- orion.git.GitRepositoryExplorer
- orion.git.GitReviewRequestExplorer
- orion.git.GitService
- orion.git.GitStatusExplorer
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.links.TextLinkService
- orion.log.LogService
- orion.metatype.AttributeDefinition
- orion.metatype.MetaTypeRegistry
- orion.metatype.ObjectClassDefinition
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.objects
- orion.operation
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.PageLinks
- orion.parameterCollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.Promise
- orion.searchClient.Searcher
- orion.searches.SavedSearches
- orion.Searches.SearchList
- orion.searchResults.SearchResultsGenerator
- orion.selection.Selection
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.ServiceTracker
- orion.settings.Setting
- orion.settings.SettingsRegistry
- orion.shell.Command
- orion.shell.Parameter
- orion.shell.ParameterType
- orion.shell.Shell
- orion.sites.SiteClient
- orion.sites.SiteConfiguration
- orion.sites.SiteEditor
- orion.sites.SiteService
- orion.sites.ViewOnSiteTree
- orion.status.StatusReportingService
- orion.tasks.TaskList
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.uiUtils
- orion.URITemplate
- orion.util
- orion.webui.dialogs.OpenResourceDialog
- orion.webui.dialogs.OperationsDialog
- orion.widgets.Section
- orion.widgets.settings.SplitSelectionLayout
- orion.xhr
- orion.xhr.Result
- String

# Namespace exports.searchUtils

exports.searchUtils
Defined in: </shared/eclipse/e4/orion/I201302221257/plugins/org.eclipse.orion.client.ui/web/orion/searchUtils.js>.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| exports.searchUtils Utility methods

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | exports.searchUtils.addRecentSearch(serviceRegistry, searchName, useRegEx)
<static> | exports.searchUtils.convertFindURLBinding(findParams)
<static> | exports.searchUtils.convertSearchParams(searchParams)
<static> | exports.searchUtils.copySearchParams(searchParams, copyReplace)
<static> | exports.searchUtils.doSearch(searcher, serviceRegistry, searchStr, advOptions)
<static> | exports.searchUtils.findRegExp(pattern, flags, startIndex, startIndex) Helper for finding regex matches in text contents.
<static> | exports.searchUtils.fullPathNameByMeta(parents)
<static> | exports.searchUtils.generateFindURLBinding(searchParams, inFileQuery, lineNumber, replaceStr)
<static> | exports.searchUtils.generateMatchContext(contextAroundLength, fileContents, lineNumber)
<static> | exports.searchUtils.generateNewContents(updating, oldContents, newContents, fileModelNode, replaceStr, searchStrLength)
<static> | exports.searchUtils.generateSearchHelper(searchParams, fromStart)
| generateSearchHelper(searchParams, fromStart) Generate a helper query object used for search result renderer.
<static> | exports.searchUtils.generateSearchHref(options)
<static> | exports.searchUtils.getMixedSearches(serviceRegistry, mixed, checkDuplication, callback)
<static> | exports.searchUtils.getOpenSearchPref(serviceRegistry, callback)
<static> | exports.searchUtils.getSearches(serviceRegistry, type, callback)
<static> | exports.searchUtils.path2FolderName(filePath, fileName, keepTailSlash)
<static> | exports.searchUtils.replaceCheckedMatches(text, replacingStr, originalMatches, checkedMatches, defaultMatchLength)
<static> | exports.searchUtils.replaceRegEx(text, regEx, replacingStr)
<static> | exports.searchUtils.replaceStringLiteral(text, keyword, replacingStr)
<static> | exports.searchUtils.searchOnelineLiteral(inFileQuery, lineString, onlyOnce)
<static> | exports.searchUtils.searchOnelineRegEx(inFileQuery, lineString, onlyOnce)
<static> | exports.searchUtils.searchWithinFile(inFileQuery, fileModelNode, fileContentText, lineDelim, replacing, caseSensitive)
<static> | exports.searchUtils.setOpenSearchPref(serviceRegistry, openInNewTab)
<static> | exports.searchUtils.splitFile(text)
| splitFile(text) Split file contents into lines.

Namespace Detail
exports.searchUtils
Utility methods
Method Detail
<static> exports.searchUtils.addRecentSearch(serviceRegistry, searchName, useRegEx)

Parameters:
serviceRegistry
searchName
useRegEx

<static> exports.searchUtils.convertFindURLBinding(findParams)

Parameters:
findParams

<static> exports.searchUtils.convertSearchParams(searchParams)

Parameters:
searchParams

<static> exports.searchUtils.copySearchParams(searchParams, copyReplace)

Parameters:
searchParams
copyReplace

<static> exports.searchUtils.doSearch(searcher, serviceRegistry, searchStr, advOptions)

Parameters:
searcher
serviceRegistry
searchStr
advOptions

<static> {Object} exports.searchUtils.findRegExp(pattern, flags, startIndex, startIndex)
Helper for finding regex matches in text contents.

Parameters:
{String} pattern
  A valid regexp pattern.
{String} flags
  Valid regexp flags: [is]
{Number} startIndex Optional
  Default is false.
startIndex

Returns:
  {Object} An object giving the match details, or `null` if no match found. The returned object will have the properties:
  {Number} index
  {Number} length

<static> exports.searchUtils.fullPathNameByMeta(parents)

Parameters:
parents

<static> exports.searchUtils.generateFindURLBinding(searchParams, inFileQuery, lineNumber, replaceStr)

Parameters:
searchParams
inFileQuery
lineNumber
replaceStr

<static> exports.searchUtils.generateMatchContext(contextAroundLength, fileContents, lineNumber)

Parameters:
contextAroundLength
fileContents
lineNumber

<static> exports.searchUtils.generateNewContents(updating, oldContents, newContents, fileModelNode, replaceStr, searchStrLength)

Parameters:
updating
oldContents
newContents
fileModelNode
replaceStr
searchStrLength

<static> exports.searchUtils.generateSearchHelper(searchParams, fromStart)

Parameters:
searchParams
fromStart

{Object} generateSearchHelper(searchParams, fromStart)
Generate a helper query object used for search result renderer.

Parameters:
{Object} searchParams
  The search parameters.
{Boolean} fromStart
  True if doing file name search, otherwise false.

Returns:
  {Object} An object having the properties:
  - Object `searchParams` The search parameters.
  - Object `inFileQuery` The query object for in file search.

<static> exports.searchUtils.generateSearchHref(options)

Parameters:
options

<static> exports.searchUtils.getMixedSearches(serviceRegistry, mixed, checkDuplication, callback)

Parameters:
serviceRegistry
mixed
checkDuplication
callback

<static> exports.searchUtils.getOpenSearchPref(serviceRegistry, callback)

Parameters:
serviceRegistry
callback

<static> exports.searchUtils.getSearches(serviceRegistry, type, callback)

Parameters:
serviceRegistry
type
callback

<static> exports.searchUtils.path2FolderName(filePath, fileName, keepTailSlash)

Parameters:
filePath
fileName
keepTailSlash

<static> exports.searchUtils.replaceCheckedMatches(text, replacingStr, originalMatches, checkedMatches, defaultMatchLength)

Parameters:
text
replacingStr
originalMatches
checkedMatches
defaultMatchLength

<static> exports.searchUtils.replaceRegEx(text, regEx, replacingStr)

Parameters:
text
regEx
replacingStr

<static> exports.searchUtils.replaceStringLiteral(text, keyword, replacingStr)

Parameters:
text
keyword
replacingStr

<static> exports.searchUtils.searchOnelineLiteral(inFileQuery, lineString, onlyOnce)

Parameters:
inFileQuery
lineString
onlyOnce

<static> exports.searchUtils.searchOnelineRegEx(inFileQuery, lineString, onlyOnce)

Parameters:
inFileQuery
lineString
onlyOnce

<static> exports.searchUtils.searchWithinFile(inFileQuery, fileModelNode, fileContentText, lineDelim, replacing, caseSensitive)

Parameters:
inFileQuery
fileModelNode
fileContentText
lineDelim
replacing
caseSensitive

<static> exports.searchUtils.setOpenSearchPref(serviceRegistry, openInNewTab)

Parameters:
serviceRegistry
openInNewTab

<static> exports.searchUtils.splitFile(text)

Parameters:
text

{Array} splitFile(text)
Split file contents into lines. It also handles the mixed line endings with "\n", "\r" and "\r\n".

Parameters:
{String} text
  The file contetns.

Returns:
  {Array} Split file lines.

Documentation generated by JsDoc Toolkit 2.4.0 on Fri Feb 22 2013 13:00:51 GMT-0500 (EST)